## org.h2.command.ddl
Class PrepareProcedure

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.PrepareProcedure

    public class PrepareProcedure

extends DefineCommand

This class represents the statement PREPARE

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`PrepareProcedure(Session session)`

Method Summary
`void` `checkParameters()` Check if all parameters have been set.
`java.util.ArrayList<Parameter>` `getParameters()` Get the parameter list.
`void` `setPrepared(Prepared prep)`
`void` `setProcedureName(java.lang.String name)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, getCurrentObjectId, getCurrentRowNumber, getObjectId, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrepareProcedure

    public PrepareProcedure(Session session)

Method Detail

### checkParameters

    public void checkParameters()

  Description copied from class: `Prepared`
  Check if all parameters have been set.

  Overrides:
    `checkParameters` in class `Prepared`

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setProcedureName

    public void setProcedureName(java.lang.String name)

### setPrepared

    public void setPrepared(Prepared prep)

### getParameters

    public java.util.ArrayList<Parameter> getParameters()

  Description copied from class: `Prepared`
  Get the parameter list.

  Overrides:
    `getParameters` in class `Prepared`
  Returns:
    the parameter list